import { __exports as e } from "./index-useLexicalTextEntity.prod2.js";
import { __require as m } from "./index-LexicalComposerContext2.js";
import { __require as n } from "./index-LexicalText.js";
import { __require as c } from "./index-LexicalUtils.js";
import f from "react";
var x;
function E() {
  if (x) return e;
  x = 1;
  var a = m(), s = n(), u = c(), _ = f;
  return e.useLexicalTextEntity = function(r, t, i) {
    let [o] = a.useLexicalComposerContext();
    _.useEffect(() => u.mergeRegister(...s.registerLexicalTextEntity(o, r, t, i)), [i, o, r, t]);
  }, e;
}
export {
  E as __require
};
